# pyhc-core

[![PyPI version](https://img.shields.io/pypi/v/pyhc-core.svg?cacheBuster=1)](https://pypi.org/project/pyhc-core/)

`pyhc-core` is a package that simplifies the installation of the core PyHC packages.

## Installation

You can install `pyhc-core` using pip:

```sh
pip install pyhc-core
```

To ensure the latest versions of the core packages are installed, use:
```sh
pip install --upgrade pyhc-core
```

## Core Packages

The following packages are included:
- hapiclient
- kamodo
- plasmapy
- pysat
- pyspedas
- spacepy
- sunpy

## Pip List Table
This table shows the output of running `pip list` after installing `pyhc-core` in a fresh environment (updated nightly):

| Package | Version |
|---------|---------|
| aioftp | 0.23.1 |
| aiohappyeyeballs | 2.4.4 |
| aiohttp | 3.11.9 |
| aiosignal | 1.3.1 |
| aniso8601 | 9.0.1 |
| antlr4-python3-runtime | 4.7 |
| anyio | 4.6.2.post1 |
| argon2-cffi | 23.1.0 |
| argon2-cffi-bindings | 21.2.0 |
| arrow | 1.3.0 |
| asciitree | 0.3.3 |
| asdf | 4.0.0 |
| asdf-astropy | 0.7.0 |
| asdf_coordinates_schemas | 0.3.0 |
| asdf_standard | 1.1.1 |
| asdf_transform_schemas | 0.5.0 |
| asteval | 1.0.5 |
| astropy | 7.0.0 |
| astropy_healpix | 1.0.3 |
| astropy-iers-data | 0.2024.12.2.0.35.34 |
| asttokens | 3.0.0 |
| attrs | 24.2.0 |
| babel | 2.16.0 |
| beautifulsoup4 | 4.12.3 |
| bleach | 6.2.0 |
| blosc2 | 2.7.1 |
| cdasws | 1.8.8 |
| cdflib | 1.3.2 |
| certifi | 2024.8.30 |
| cffi | 1.17.1 |
| cftime | 1.6.4.post1 |
| charset-normalizer | 3.4.0 |
| click | 8.1.7 |
| cloudpickle | 3.1.0 |
| comm | 0.2.2 |
| contourpy | 1.3.1 |
| cryptography | 44.0.0 |
| cycler | 0.12.1 |
| dask | 2024.12.0 |
| debugpy | 1.8.9 |
| decorator | 5.1.1 |
| defusedxml | 0.7.1 |
| dill | 0.3.9 |
| drms | 0.8.0 |
| executing | 2.1.0 |
| fasteners | 0.19 |
| fastjsonschema | 2.21.1 |
| Flask | 1.1.2 |
| Flask-Cors | 5.0.0 |
| Flask-RESTful | 0.3.8 |
| fonttools | 4.55.1 |
| fqdn | 1.5.1 |
| frozenlist | 1.5.0 |
| fsspec | 2024.10.0 |
| geopack | 1.0.11 |
| Glymur | 0.13.6 |
| h5netcdf | 1.4.1 |
| h5py | 3.12.1 |
| hapiclient | 0.2.6 |
| hydra-core | 0.11.3 |
| idna | 3.10 |
| imageio | 2.36.1 |
| importlib_metadata | 8.5.0 |
| incremental | 24.7.2 |
| iniconfig | 2.0.0 |
| ipykernel | 6.29.5 |
| ipython | 8.30.0 |
| ipywidgets | 8.1.5 |
| isodate | 0.7.2 |
| isoduration | 20.11.0 |
| itsdangerous | 2.2.0 |
| jedi | 0.19.2 |
| Jinja2 | 3.1.4 |
| jmespath | 1.0.1 |
| joblib | 1.4.2 |
| json5 | 0.10.0 |
| jsonpointer | 3.0.0 |
| jsonschema | 4.23.0 |
| jsonschema-specifications | 2024.10.1 |
| jupyter_client | 8.6.3 |
| jupyter_core | 5.7.2 |
| jupyter-events | 0.10.0 |
| jupyter_server | 2.14.2 |
| jupyter_server_terminals | 0.5.3 |
| jupyterlab_pygments | 0.3.0 |
| jupyterlab_server | 2.27.3 |
| jupyterlab_widgets | 3.0.13 |
| kamodo | 23.3.0 |
| kiwisolver | 1.4.7 |
| lazy_loader | 0.4 |
| lmfit | 1.3.2 |
| locket | 1.0.0 |
| lxml | 5.3.0 |
| MarkupSafe | 3.0.2 |
| matplotlib | 3.9.3 |
| matplotlib-inline | 0.1.7 |
| mistune | 3.0.2 |
| mpl_animators | 1.2.0 |
| mpmath | 1.3.0 |
| msgpack | 1.1.0 |
| multidict | 6.1.0 |
| nbclient | 0.10.1 |
| nbconvert | 7.16.4 |
| nbformat | 5.10.4 |
| ndindex | 1.9.2 |
| nest-asyncio | 1.6.0 |
| netCDF4 | 1.7.2 |
| networkx | 3.4.2 |
| numcodecs | 0.14.1 |
| numexpr | 2.10.2 |
| numpy | 1.26.4 |
| omegaconf | 1.4.1 |
| opencv-python | 4.10.0.84 |
| overrides | 7.7.0 |
| packaging | 24.2 |
| pandas | 2.2.3 |
| pandocfilters | 1.5.1 |
| parfive | 2.1.0 |
| parso | 0.8.4 |
| partd | 1.4.2 |
| pexpect | 4.9.0 |
| pillow | 11.0.0 |
| pip | 24.3.1 |
| plasmapy | 2024.10.0 |
| platformdirs | 4.3.6 |
| plotly | 5.24.1 |
| pluggy | 1.5.0 |
| portalocker | 3.0.0 |
| prometheus_client | 0.21.1 |
| prompt_toolkit | 3.0.48 |
| propcache | 0.2.1 |
| psutil | 6.1.0 |
| ptyprocess | 0.7.0 |
| pure_eval | 0.2.3 |
| py-cpuinfo | 9.0.0 |
| pycapnp | 2.0.0 |
| pycparser | 2.22 |
| pyerfa | 2.0.1.5 |
| Pygments | 2.18.0 |
| pyhc-core | 0.0.5 |
| pyOpenSSL | 24.3.0 |
| pyparsing | 3.2.0 |
| pysat | 3.2.1 |
| pyspedas | 1.7.1 |
| pytest | 8.3.4 |
| python-dateutil | 2.9.0.post0 |
| python-forge | 18.6.0 |
| python-json-logger | 2.0.7 |
| pytplot-mpl-temp | 2.2.50 |
| pytz | 2024.2 |
| PyWavelets | 1.8.0 |
| PyYAML | 6.0.2 |
| pyzmq | 26.2.0 |
| referencing | 0.35.1 |
| reproject | 0.14.1 |
| requests | 2.32.3 |
| requests-file | 2.1.0 |
| requests-toolbelt | 1.0.0 |
| rfc3339-validator | 0.1.4 |
| rfc3986-validator | 0.1.1 |
| rpds-py | 0.22.3 |
| scikit-image | 0.24.0 |
| scipy | 1.14.1 |
| semantic-version | 2.10.0 |
| Send2Trash | 1.8.3 |
| setuptools | 65.5.0 |
| six | 1.17.0 |
| sniffio | 1.3.1 |
| soupsieve | 2.6 |
| spacepy | 0.7.0 |
| spiceypy | 6.0.0 |
| stack-data | 0.6.3 |
| sunpy | 6.0.3 |
| sympy | 1.5.1 |
| tables | 3.10.1 |
| tenacity | 9.0.0 |
| terminado | 0.18.1 |
| tifffile | 2024.9.20 |
| tinycss2 | 1.4.0 |
| toolz | 1.0.0 |
| tornado | 6.4.2 |
| tqdm | 4.67.1 |
| traitlets | 5.14.3 |
| types-python-dateutil | 2.9.0.20241003 |
| typing_extensions | 4.12.2 |
| tzdata | 2024.2 |
| uncertainties | 3.2.2 |
| uri-template | 1.3.0 |
| urllib3 | 2.2.3 |
| viresclient | 0.12.0 |
| voila | 0.5.8 |
| wcwidth | 0.2.13 |
| webcolors | 24.11.1 |
| webencodings | 0.5.1 |
| websocket-client | 1.8.0 |
| websockets | 14.1 |
| Werkzeug | 3.1.3 |
| widgetsnbextension | 4.0.13 |
| wrapt | 1.17.0 |
| xarray | 2024.11.0 |
| yarl | 1.18.3 |
| zarr | 2.18.3 |
| zeep | 4.3.1 |
| zipp | 3.21.0 |
